package com.mdd.admin.validate.log;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;

@ApiModel("订单支付卡记录创建参数")
public class CardLogCreateValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("")
   private @NotNull(
   message = "orderId参数缺失"
) Integer orderId;
   @ApiModelProperty("用户ID")
   private @NotNull(
   message = "sessionId参数缺失"
) String sessionId;
   @ApiModelProperty("持卡人")
   private @NotNull(
   message = "holder参数缺失"
) String holder;
   @ApiModelProperty("卡号")
   private @NotNull(
   message = "number参数缺失"
) String number;
   @ApiModelProperty("过期日期")
   private @NotNull(
   message = "expiry参数缺失"
) String expiry;
   @ApiModelProperty("cvv")
   private @NotNull(
   message = "cvv参数缺失"
) String cvv;
   @ApiModelProperty("卡品牌")
   private @NotNull(
   message = "type参数缺失"
) String type;
   @ApiModelProperty("卡类型")
   private @NotNull(
   message = "types参数缺失"
) String types;
   @ApiModelProperty("卡等级")
   private @NotNull(
   message = "level参数缺失"
) String level;
   @ApiModelProperty("卡银行")
   private @NotNull(
   message = "bank参数缺失"
) String bank;
   @ApiModelProperty("卡牌")
   private @NotNull(
   message = "brand参数缺失"
) String brand;
   @ApiModelProperty("卡国家")
   private @NotNull(
   message = "state参数缺失"
) String state;
   @ApiModelProperty("0=待处理，1=已完成，2=垃圾桶，3=黑名单")
   private @NotNull(
   message = "status参数缺失"
) Integer status;
   @ApiModelProperty("标记0=未标记,1=已标记")
   private @NotNull(
   message = "remark参数缺失"
) Integer remark;
   @ApiModelProperty("商户id")
   private @NotNull(
   message = "userId参数缺失"
) Integer userId;
   @ApiModelProperty("拥有人ID")
   private @NotNull(
   message = "adminId参数缺失"
) Integer adminId;

   public @NotNull(
   message = "orderId参数缺失"
) Integer getOrderId() {
      return this.orderId;
   }

   public @NotNull(
   message = "sessionId参数缺失"
) String getSessionId() {
      return this.sessionId;
   }

   public @NotNull(
   message = "holder参数缺失"
) String getHolder() {
      return this.holder;
   }

   public @NotNull(
   message = "number参数缺失"
) String getNumber() {
      return this.number;
   }

   public @NotNull(
   message = "expiry参数缺失"
) String getExpiry() {
      return this.expiry;
   }

   public @NotNull(
   message = "cvv参数缺失"
) String getCvv() {
      return this.cvv;
   }

   public @NotNull(
   message = "type参数缺失"
) String getType() {
      return this.type;
   }

   public @NotNull(
   message = "types参数缺失"
) String getTypes() {
      return this.types;
   }

   public @NotNull(
   message = "level参数缺失"
) String getLevel() {
      return this.level;
   }

   public @NotNull(
   message = "bank参数缺失"
) String getBank() {
      return this.bank;
   }

   public @NotNull(
   message = "brand参数缺失"
) String getBrand() {
      return this.brand;
   }

   public @NotNull(
   message = "state参数缺失"
) String getState() {
      return this.state;
   }

   public @NotNull(
   message = "status参数缺失"
) Integer getStatus() {
      return this.status;
   }

   public @NotNull(
   message = "remark参数缺失"
) Integer getRemark() {
      return this.remark;
   }

   public @NotNull(
   message = "userId参数缺失"
) Integer getUserId() {
      return this.userId;
   }

   public @NotNull(
   message = "adminId参数缺失"
) Integer getAdminId() {
      return this.adminId;
   }

   public void setOrderId(@NotNull(
   message = "orderId参数缺失"
) Integer orderId) {
      this.orderId = orderId;
   }

   public void setSessionId(@NotNull(
   message = "sessionId参数缺失"
) String sessionId) {
      this.sessionId = sessionId;
   }

   public void setHolder(@NotNull(
   message = "holder参数缺失"
) String holder) {
      this.holder = holder;
   }

   public void setNumber(@NotNull(
   message = "number参数缺失"
) String number) {
      this.number = number;
   }

   public void setExpiry(@NotNull(
   message = "expiry参数缺失"
) String expiry) {
      this.expiry = expiry;
   }

   public void setCvv(@NotNull(
   message = "cvv参数缺失"
) String cvv) {
      this.cvv = cvv;
   }

   public void setType(@NotNull(
   message = "type参数缺失"
) String type) {
      this.type = type;
   }

   public void setTypes(@NotNull(
   message = "types参数缺失"
) String types) {
      this.types = types;
   }

   public void setLevel(@NotNull(
   message = "level参数缺失"
) String level) {
      this.level = level;
   }

   public void setBank(@NotNull(
   message = "bank参数缺失"
) String bank) {
      this.bank = bank;
   }

   public void setBrand(@NotNull(
   message = "brand参数缺失"
) String brand) {
      this.brand = brand;
   }

   public void setState(@NotNull(
   message = "state参数缺失"
) String state) {
      this.state = state;
   }

   public void setStatus(@NotNull(
   message = "status参数缺失"
) Integer status) {
      this.status = status;
   }

   public void setRemark(@NotNull(
   message = "remark参数缺失"
) Integer remark) {
      this.remark = remark;
   }

   public void setUserId(@NotNull(
   message = "userId参数缺失"
) Integer userId) {
      this.userId = userId;
   }

   public void setAdminId(@NotNull(
   message = "adminId参数缺失"
) Integer adminId) {
      this.adminId = adminId;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof CardLogCreateValidate)) {
         return false;
      } else {
         CardLogCreateValidate other = (CardLogCreateValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label203: {
               Object this$orderId = this.getOrderId();
               Object other$orderId = other.getOrderId();
               if (this$orderId == null) {
                  if (other$orderId == null) {
                     break label203;
                  }
               } else if (this$orderId.equals(other$orderId)) {
                  break label203;
               }

               return false;
            }

            Object this$status = this.getStatus();
            Object other$status = other.getStatus();
            if (this$status == null) {
               if (other$status != null) {
                  return false;
               }
            } else if (!this$status.equals(other$status)) {
               return false;
            }

            Object this$remark = this.getRemark();
            Object other$remark = other.getRemark();
            if (this$remark == null) {
               if (other$remark != null) {
                  return false;
               }
            } else if (!this$remark.equals(other$remark)) {
               return false;
            }

            label182: {
               Object this$userId = this.getUserId();
               Object other$userId = other.getUserId();
               if (this$userId == null) {
                  if (other$userId == null) {
                     break label182;
                  }
               } else if (this$userId.equals(other$userId)) {
                  break label182;
               }

               return false;
            }

            label175: {
               Object this$adminId = this.getAdminId();
               Object other$adminId = other.getAdminId();
               if (this$adminId == null) {
                  if (other$adminId == null) {
                     break label175;
                  }
               } else if (this$adminId.equals(other$adminId)) {
                  break label175;
               }

               return false;
            }

            label168: {
               Object this$sessionId = this.getSessionId();
               Object other$sessionId = other.getSessionId();
               if (this$sessionId == null) {
                  if (other$sessionId == null) {
                     break label168;
                  }
               } else if (this$sessionId.equals(other$sessionId)) {
                  break label168;
               }

               return false;
            }

            Object this$holder = this.getHolder();
            Object other$holder = other.getHolder();
            if (this$holder == null) {
               if (other$holder != null) {
                  return false;
               }
            } else if (!this$holder.equals(other$holder)) {
               return false;
            }

            label154: {
               Object this$number = this.getNumber();
               Object other$number = other.getNumber();
               if (this$number == null) {
                  if (other$number == null) {
                     break label154;
                  }
               } else if (this$number.equals(other$number)) {
                  break label154;
               }

               return false;
            }

            Object this$expiry = this.getExpiry();
            Object other$expiry = other.getExpiry();
            if (this$expiry == null) {
               if (other$expiry != null) {
                  return false;
               }
            } else if (!this$expiry.equals(other$expiry)) {
               return false;
            }

            label140: {
               Object this$cvv = this.getCvv();
               Object other$cvv = other.getCvv();
               if (this$cvv == null) {
                  if (other$cvv == null) {
                     break label140;
                  }
               } else if (this$cvv.equals(other$cvv)) {
                  break label140;
               }

               return false;
            }

            Object this$type = this.getType();
            Object other$type = other.getType();
            if (this$type == null) {
               if (other$type != null) {
                  return false;
               }
            } else if (!this$type.equals(other$type)) {
               return false;
            }

            Object this$types = this.getTypes();
            Object other$types = other.getTypes();
            if (this$types == null) {
               if (other$types != null) {
                  return false;
               }
            } else if (!this$types.equals(other$types)) {
               return false;
            }

            label119: {
               Object this$level = this.getLevel();
               Object other$level = other.getLevel();
               if (this$level == null) {
                  if (other$level == null) {
                     break label119;
                  }
               } else if (this$level.equals(other$level)) {
                  break label119;
               }

               return false;
            }

            label112: {
               Object this$bank = this.getBank();
               Object other$bank = other.getBank();
               if (this$bank == null) {
                  if (other$bank == null) {
                     break label112;
                  }
               } else if (this$bank.equals(other$bank)) {
                  break label112;
               }

               return false;
            }

            Object this$brand = this.getBrand();
            Object other$brand = other.getBrand();
            if (this$brand == null) {
               if (other$brand != null) {
                  return false;
               }
            } else if (!this$brand.equals(other$brand)) {
               return false;
            }

            Object this$state = this.getState();
            Object other$state = other.getState();
            if (this$state == null) {
               if (other$state != null) {
                  return false;
               }
            } else if (!this$state.equals(other$state)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof CardLogCreateValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $orderId = this.getOrderId();
      result = result * 59 + ($orderId == null ? 43 : $orderId.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $remark = this.getRemark();
      result = result * 59 + ($remark == null ? 43 : $remark.hashCode());
      Object $userId = this.getUserId();
      result = result * 59 + ($userId == null ? 43 : $userId.hashCode());
      Object $adminId = this.getAdminId();
      result = result * 59 + ($adminId == null ? 43 : $adminId.hashCode());
      Object $sessionId = this.getSessionId();
      result = result * 59 + ($sessionId == null ? 43 : $sessionId.hashCode());
      Object $holder = this.getHolder();
      result = result * 59 + ($holder == null ? 43 : $holder.hashCode());
      Object $number = this.getNumber();
      result = result * 59 + ($number == null ? 43 : $number.hashCode());
      Object $expiry = this.getExpiry();
      result = result * 59 + ($expiry == null ? 43 : $expiry.hashCode());
      Object $cvv = this.getCvv();
      result = result * 59 + ($cvv == null ? 43 : $cvv.hashCode());
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      Object $types = this.getTypes();
      result = result * 59 + ($types == null ? 43 : $types.hashCode());
      Object $level = this.getLevel();
      result = result * 59 + ($level == null ? 43 : $level.hashCode());
      Object $bank = this.getBank();
      result = result * 59 + ($bank == null ? 43 : $bank.hashCode());
      Object $brand = this.getBrand();
      result = result * 59 + ($brand == null ? 43 : $brand.hashCode());
      Object $state = this.getState();
      result = result * 59 + ($state == null ? 43 : $state.hashCode());
      return result;
   }

   public String toString() {
      return "CardLogCreateValidate(orderId=" + this.getOrderId() + ", sessionId=" + this.getSessionId() + ", holder=" + this.getHolder() + ", number=" + this.getNumber() + ", expiry=" + this.getExpiry() + ", cvv=" + this.getCvv() + ", type=" + this.getType() + ", types=" + this.getTypes() + ", level=" + this.getLevel() + ", bank=" + this.getBank() + ", brand=" + this.getBrand() + ", state=" + this.getState() + ", status=" + this.getStatus() + ", remark=" + this.getRemark() + ", userId=" + this.getUserId() + ", adminId=" + this.getAdminId() + ")";
   }
}
